Index: src/template/unixware
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/template/unixware,v
retrieving revision 1.27
diff -u -r1.27 unixware
--- src/template/unixware	25 Oct 2003 15:32:11 -0000	1.27
+++ src/template/unixware	31 Oct 2003 15:37:23 -0000
@@ -1,13 +1,28 @@
 if test "$GCC" = yes; then
   THREAD_CPPFLAGS="-pthread"
 else
-# the -Kno_host is temporary for a bug in the compiler.  See -hackers
+# the -Kno_host is for a bug in the compiler.  See -hackers
 # discussion on 7-8/Aug/2003.
-# when the 7.1.3UP3 or later compiler is out, we can do a version check.
-  CFLAGS="-O -Kinline,no_host"
+# version check for the 7.1.3UP3 compiler (version 401200310):
+cat >testcompver.c <<__EOF__
+#include <stdio.h>
+#include <stdlib.h>
+int main(int argc, char **argv)
+{
+  if (__SCO_VERSION__ >= 401200310) exit(1);
+  else exit(0);
+}
+__EOF__
+  cc -O -o testcompver testcompver.c
+  ./testcompver
+  if test $? = 1; then
+    CFLAGS="-O -Kinline"
+  else
+    CFLAGS="-O -Kinline,no_host"
+  fi
+  rm testcompver testcompver.c
   THREAD_CPPFLAGS="-K pthread"
 fi
-
 THREAD_SUPPORT=yes
 NEED_REENTRANT_FUNCS=no		# verified 7.1.3 2003-09-03
 THREAD_CPPFLAGS="$THREAD_CPPFLAGS -D_REENTRANT"
